# ORBInitializer_Registry.cpp File Reference

`#include "ORBInitializer_Registry.h"`
`#include "ORBInitializer_Registry_Adapter.h"`
`#include "PortableInterceptorC.h"`
`#include "ORB.h"`
`#include "ORB_Constants.h"`
`#include "TAO_Singleton_Manager.h"`
`#include "SystemException.h"`
`#include "ace/Service_Config.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Static_Object_Lock.h"`
`#include "ace/Recursive_Thread_Mutex.h"`
`#include "ace/Log_Msg.h"`

Include dependency graph for ORBInitializer_Registry.cpp:

## Namespaces

namespace | PortableInterceptor

## Functions

void | register_orb_initializer (ORBInitializer_ptr init)

## Function Documentation

TAO_Export void PortableInterceptor::register_orb_initializer | ( | ORBInitializer_ptr | init | ) |

| Register an ORBInitializer with the global ORBInitializer table.